import esbuild from "esbuild";
import builtins from "builtin-modules";

const banner =
`/*
THIS IS A GENERATED/BUNDLED FILE BY ESBUILD
if you want to view the source, please visit the github repository of this plugin
*/
`;


const result = await esbuild.build({
	bundle: true,
	entryPoints: ["src/main.ts"],
	outdir: "dist",
	jsx: "automatic",
	format: "cjs",
	target: "es2018",
	external: [
		"obsidian",
		"electron",
		"@codemirror/autocomplete",
		"@codemirror/collab",
		"@codemirror/commands",
		"@codemirror/language",
		"@codemirror/lint",
		"@codemirror/search",
		"@codemirror/state",
		"@codemirror/view",
		"@lezer/common",
		"@lezer/highlight",
		"@lezer/lr",
		...builtins],
	banner: {
		js: banner,
	},
	logLevel: "info",
	sourcemap: "inline",
	treeShaking: true,
});

console.log(result)


